package com.railway.business.safetool.mapper;

import com.github.pagehelper.Page;
import com.railway.business.safetool.domain.BaseSafetyTool;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 安全工具-基础数据
* @author wuhonghao
* @date 2021/12/01
*/
@Mapper
@Repository
public interface BaseSafetyToolMapper {

    /**
    * 新增
    */
    int insert(BaseSafetyTool baseSafetyTool);

    /**
    * 删除
    */
    int delete(@Param("toolId") Long toolId);

    /**
    * 更新
    */
    int update(BaseSafetyTool baseSafetyTool);

    /**
    * 获取单个
    */
    BaseSafetyTool getInfo(@Param("toolId") Long toolId);

    /**
     * 获取单个
     */
    BaseSafetyTool getInfoByQcode(@Param("qcode") String qcode);

    /**
    * 查询列表
    */
    Page<BaseSafetyTool> getList(BaseSafetyTool baseSafetyTool);

    /**
     * 查询列表
     */
    List<BaseSafetyTool> getListByIds(Long [] ids);

    /**
     * 查询列表
     */
    List<BaseSafetyTool> listByExperimentId(Long experimentId);

    /**
     * 查询列表
     */
    List<BaseSafetyTool> listByScheduledId(Long scheduledId);

}
